fixes #2833
"Delete" in GeoDB connection parameters

History
#1 - 02/19/2015 12:27 PM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2
- Assignee set to José Badía

#2 - 02/20/2015 09:33 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

En el build 2269 (la final) a mi me salen ya traducidos.

#3 - 02/20/2015 09:43 AM - Álvaro Anguix

Cierto, debería haberlo comprobado.

#4 - 02/20/2015 09:43 AM - Álvaro Anguix
- Status changed from Fixed to Closed

#5 - 02/20/2015 09:45 AM - Antonio Falciano

Joaquín  del Cerro Murciano wrote:

En el build 2269 (la final) a mi me salen ya traducidos.
Hi Joaquín,
you're right! Only the Delete button is not translated in the main connection parameters dialog in build 2269. Furthermore, there are many untranslated
strings in the advanced parameters (MySQLServerExplorerParameters).

#6 - 02/20/2015 09:47 AM - Antonio Falciano
- Status changed from Closed to New

Hi Alvaro,
I'd leave it open because the i18n strings are not all translated.

#7 - 02/20/2015 10:24 AM - Joaquín  del Cerro Murciano

Antonio Falciano wrote:

Joaquín  del Cerro Murciano wrote:

En el build 2269 (la final) a mi me salen ya traducidos.

Hi Joaquín,
you're right! Only the Delete button is not translated in the main connection parameters dialog in build 2269. Furthermore, there are many
untranslated strings in the advanced parameters (MySQLServerExplorerParameters).

Uppps, 
el boton "Delete" no solo es que no esta traducido, es que no hace nada, no tiene codigo asociado.

https://redmine.gvsig.net/redmine/projects/gvsig-desktop/repository/revisions/41633/entry/trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.
eodb.app/org.gvsig.geodb.app.mainplugin/src/main/java/org/gvsig/geodb/vectorialdb/wizard/VectorialDBConnectionParamsDialog.java#L56

#8 - 02/20/2015 10:31 AM - Antonio Falciano

Joaquín  del Cerro Murciano wrote:

el boton "Delete" no solo es que no esta traducido, es que no hace nada, no tiene codigo asociado.

True, so it's better to remove it because there's the Cancel button yet.

#9 - 02/20/2015 10:40 AM - Álvaro Anguix
- Subject changed from Missing translations in GeoDB connection parameters to Remove "Delete" in GeoDB connection parameters

Cambio el asunto del bug

#10 - 02/20/2015 10:42 AM - Álvaro Anguix

si se puede, en lugar de eliminar el botón delete, se le añadiría la funcionalidad que espera el usuario.
#11 - 02/20/2015 10:43 AM - Álvaro Anguix
- Subject changed from Remove "Delete" in GeoDB connection parameters to "Delete" in GeoDB connection parameters

#12 - 02/20/2015 11:06 AM - Joaquín  del Cerro Murciano

De cara al desarrollador que le meta mano.

Antes todo el interface de usuario relacionado con conexion a BBDD estaba en el plugin de GEODB; pero desde algunos otros sitios se precisaba
acceder a estos paneles, ademas de que habia que corregir muchas cosas en ellos.

La gestion del pool de configuraciones de conexiones a BBDD del usuario la lleve a otras partes:

    -  Por un lado la logica esta en DAL, en DataServerExplorerPool y su inplementacion.
    -  Y por otro lado en interface de usuario para seleccionar y añadir cosas al pool esta en mapcontrol, en JDBCConnectionPanel.

Desde GeoDB, en VectorialDBConnectionParamsDialog, simplemente se incrusta el panel de JDBCConnectionPanel y se le añaden los botones
debajo; y ahi es donde esta el boton Delete que no hace nada.
Habria que añadir en VectorialDBConnectionParamsDialog.initComponents el codigo y la traduccion al boton de forma similar a como estan los otros.

Al panel JDBCConnectionPanel, se accede a traves de la propiedad jdbcServerExplorer de VectorialDBConnectionParamsDialog, y este tiene un
metodo "delete" que en principio parece que dberia bastar, pero creo que habra que retocar ese metodo delete para que refresque los campos tras
borrar la conexion, posiblemente baste con invocar a un clear al final del metodo.

Comento todo esto por que hay un follon con estas clases, ya que cuando hice el vambio a lo nuevo no elimine las clases antiguas por si alguien las
usaba, y ahora hay codigo duplicado, parte del viejo y el nuevo, y puede resultar lioso para saber donde hay que tocar.

#13 - 02/25/2015 09:51 AM - José Badía
- Status changed from New to Fixed

#14 - 03/02/2015 11:28 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2302 (rev. org.gvsig.desktop-2.0.89)

#15 - 04/10/2015 01:37 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Parece que ya está corregido, aunque ahora faltaran las cadenas en italiano.
Además el botón Delete y el de Cancelar, ahora tienen la misma cadena en italiano.
Pero supongo que esto ya es tarea de traducciones, así que doy por cerrado este bug.
